Subject: bug#57068: Resizing mcron job in vm-image.tmpl interferes with settings

From: Ludovic Courtès <[email-masked]>
Date: Thu, 03 Nov 2022 15:59:05 +0100

Hi,

Mathieu Othacehe <[email-masked]> skribis:

>> Oh, I wasn’t aware of that, that should certainly be fixed.  (I fixed a
>> similar issue in GNOME some years ago, and I’m confident it’ll be easier
>> to fix in Xfce because it doesn’t have all those layers and daemons and
>> JavaScript and DBus interfaces.  :-))
>
> Fixing this behaviour in Xfce seems like the right thing to do to
> conserve SPICE support and fix the QEMU resizing issue.
>
> This also looks like a large development, so I propose to unblock the
> release with this ticket.

I agree, but it would be nice to find another workaround: invoking
xrandr every second is undesirable.  It interferes with user settings
and degrades performance, whether or not one uses SPICE.

Can the guest determine whether SPICE is being used?  That would allow
us to make the hack conditional.

Ludo’.